Results 1 to 2 of 2

Thread: Ext JS 2.0.2 to 4.x Migration

  1. #1

    Default Ext JS 2.0.2 to 4.x Migration

    I have a web application using extjs 2.x and now I would like to upgrade to extjs 4.x

    Is it extjs 2.x not compatible with extjs 4.x and do I need to rewrite the web application?

    Any release note / web page show the difference between Ext JS 2.x / 4.x ?

  2. #2
    Sencha User
    Join Date
    Feb 2013
    Location
    California
    Posts
    11,985
    Answers
    506

    Default

    That's a pretty major jump in versions. To make use of what Ext 4 has to offer, you will be rewriting a lot of code. There are no 2.x to 4.x upgrade guides, but here are some links that might be useful:
    http://www.sencha.com/forum/showthre...ading-to-Ext-3
    http://www.sencha.com/blog/ext-js-3-to-4-migration/
    http://docs.sencha.com/extjs/4.1.0/#!/guide/upgrade_41
    http://docs.sencha.com/extjs/4.2.0/#!/guide/upgrade_42

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •